> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/bulk-operations-api/jobs/get-responsefile.md).

# Get ResponseFile

Retrieve information about a job, including whether its response file is ready.

When you set the job status to `queued`, orchestration starts. It applies your requested changes to the file you uploaded to S3, then generates a `responseFileId`. How long this takes depends on the size and complexity of the file.

Call this to check the status of the orchestration. A `responseFileId` that isn't null means orchestration has finished and the response file is available to download. A `responseFileId` of null means the process is still running.

```json
{"openapi":"3.1.0","info":{"title":"Bulk Operations API","version":"2.0.0"},"tags":[{"name":"Jobs"}],"servers":[{"url":"https://{jobUrl}","variables":{"jobUrl":{"default":"jobs.api.example.com","description":"Base URL of the Job service (provided by Eseye)."}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Send `Bearer {token}`, where `{token}` is the `access_token` returned by Request a token."}}},"paths":{"/api/v2/job/{jobId}":{"get":{"summary":"Get ResponseFile","operationId":"get-responsefile","tags":["Jobs"],"description":"Retrieve information about a job, including whether its response file is ready.\n\nWhen you set the job status to `queued`, orchestration starts. It applies your requested changes to the\nfile you uploaded to S3, then generates a `responseFileId`. How long this takes depends on the size and\ncomplexity of the file.\n\nCall this to check the status of the orchestration. A `responseFileId` that isn't null means\norchestration has finished and the response file is available to download. A `responseFileId` of null\nmeans the process is still running.\n","parameters":[{"name":"jobId","in":"path","required":true,"description":"The ID of the job. Returned by Job Create.","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the details of the job, including `responseFileId`."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/bulk-operations-api/jobs/get-responsefile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
